
QGIS Application - Bug report #14900

Styling panel: Clicking the Apply button adds a new row to history tab even if nothing is done

2016-05-26 06:21 AM - Harrissou Santanna

Status: Reopened

Priority: Low

Assignee: Nathan Woodrow

Category: Symbology

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22853

Description

Open the map styling panel of a layer, History Tab

Click Apply. A new line is added although nothing has been done!

History

#1 - 2016-06-16 04:34 AM - Nathan Woodrow

- Priority changed from Normal to Low

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-09-28 12:26 AM - Nathan Woodrow

- Description updated

This is a tricky one and not easy to solve at the moment as we don't know what has changed on each widget.  Each widget will need to have a dirty flag so

we can know.

One possible option might be to diff against the last entry and see if something has changed if that is easy to do and doesn't break anything I can look into

that method.

#4 - 2019-03-09 04:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#5 - 2019-03-09 11:57 PM - Harrissou Santanna

- Resolution deleted (end of life)

- Status changed from Closed to Reopened

- Affected QGIS version changed from master to 3.7(master)
